System.register(["babel-plugin-syntax-do-expressions"], function (_export, _context) {
  "use strict";

  var doExpressionSyntax;

  _export("default", function () {
    return {
      inherits: doExpressionSyntax,

      visitor: {
        DoExpression(path) {
          const body = path.node.body.body;
          if (body.length) {
            path.replaceWithMultiple(body);
          } else {
            path.replaceWith(path.scope.buildUndefinedNode());
          }
        }
      }
    };
  });

  return {
    setters: [function (_babelPluginSyntaxDoExpressions) {
      doExpressionSyntax = _babelPluginSyntaxDoExpressions.default;
    }],
    execute: function () {}
  };
});